Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::Entry Class Reference

`#include <FieldCacheImpl.h>`

Inheritance diagram for Lucene::Entry:

## Public Member Functions

| Entry (const String &field, const boost::any &custom)
| Creates one of these objects for a custom comparator/parser.
virtual | ~Entry ()
virtual String | getClassName ()
boost::shared_ptr< Entry > | shared_from_this ()
virtual bool | equals (const LuceneObjectPtr &other)
| Two of these are equal if they reference the same field and type.
virtual int32_t | hashCode ()
| Composes a hashcode based on the field and type.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

String | field
boost::any | custom

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Constructor & Destructor Documentation

## ◆ Entry()

Lucene::Entry::Entry | ( | const String & | field,
|  | const boost::any & | custom )

Creates one of these objects for a custom comparator/parser.

References custom, and field.

Referenced by _getClassName().

## ◆ ~Entry()

virtual Lucene::Entry::~Entry | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::Entry::_getClassName | ( |  | ) |

inline static

References Entry().

## ◆ equals()

virtual bool Lucene::Entry::equals | ( | const LuceneObjectPtr & | other | ) |

virtual

Two of these are equal if they reference the same field and type.

Reimplemented from Lucene::LuceneObject.

## ◆ getClassName()

virtual String Lucene::Entry::getClassName | ( |  | ) |

inline virtual

## ◆ hashCode()

virtual int32_t Lucene::Entry::hashCode | ( |  | ) |

virtual

Composes a hashcode based on the field and type.

Reimplemented from Lucene::LuceneObject.

## ◆ shared_from_this()

boost::shared_ptr< Entry > Lucene::Entry::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ custom

boost::any Lucene::Entry::custom

Referenced by Entry().

## ◆ field

String Lucene::Entry::field

Referenced by Entry().

The documentation for this class was generated from the following file:

- FieldCacheImpl.h

clucene.sourceforge.net